Subject: Using intrd with 2.4.20-pre2

From: [email-masked]
Date: Wed, 6 Nov 2002 10:32:12 -0500

I'm getting stuck when mounting the initrd. This using the
ppc 2.4 galileo tree at 2.4.20-pre2.

I get as far as "VFS: Mounted root (rootfs filesystem)"

On linuxppc_2.4.11_devel  I would see

"VFS: Mounted root (romfs filesystem) readonly"

The romfs is found and uncompressed successfully.
Is there a specific  root=/dev/something  I am supposed to
pass (build) into the kernel cmdline? (no console/keybd)
I've tried root=/dev/ram0,  root=/dev/initrd and no root
clause all with no success.

I've uncompressed and mounted the file on a loopback
device on my Mac, so it is not corrupted.
It mounts as type romfs, not ext2,  is that OK?

Thanks,
Gary Hannon

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/